Bug 971354 - [upgrade] HTTP proxy conf file for addon gear and web gear of scalable app is not migrated after migrate
[upgrade] HTTP proxy conf file for addon gear and web gear of scalable app is...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
1.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Luke Meyer
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 06:54 EDT by Johnny Liu
Modified: 2017-03-08 12 EST (History)
4 users (show)

See Also:
Fixed In Version: openshift-enterprise-upgrade-1.2-1.git.69.bd1f6b5.el6op
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:46:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-06-06 06:54:35 EDT
Description of problem:
HTTP proxy conf file for addon gear and web gear of scalable app is not migrated after upgrade.

Version-Release number of selected component (if applicable):
1.2/2013-06-05.9

How reproducible:
Always

Steps to Reproduce:
1. Setup ose-1.1.3 env
2. Create a scalable app, and embed mysql cartridge
haproxy + web gear: 4941e92aa5714fc1885ed93bd1ca75d4
web gear: b716573b545b43a2858a18ee78ae5dbb
mysql gear: f9f90dd76ec14bf5992fec192fd8aab6
3. Following http://etherpad.corp.redhat.com/OSE-1-2-upgrade-notes to do upgrade testing
4. After upgrade, check /var/lib/openshift/.httpd.d

Actual results:
Found that http proxy conf files for web gear and mysql gear are still there, not migrated.
[root@node1 .httpd.d]# pwd
/var/lib/openshift/.httpd.d
[root@node1 .httpd.d]# ls b716573b545b43a2858a18ee78ae5dbb*
b716573b545b43a2858a18ee78ae5dbb_jialiu_b716573b54.conf

b716573b545b43a2858a18ee78ae5dbb_jialiu_b716573b54:
00000_default.conf  routes.json  zzzzz_proxy.conf
[root@node1 .httpd.d]# ls f9f90dd76ec14bf5992fec192fd8aab6*
f9f90dd76ec14bf5992fec192fd8aab6_jialiu_f9f90dd76e.conf

f9f90dd76ec14bf5992fec192fd8aab6_jialiu_f9f90dd76e:
00000_default.conf  mysql-5.1.conf

And no new HTTP routing scheme is added.
[root@node1 .httpd.d]# grep b716573b545b43a2858a18ee78ae5dbb nodes.txt 
[root@node1 .httpd.d]# grep f9f90dd76ec14bf5992fec192fd8aab6 nodes.txt


Expected results:
old http proxy conf file should be migrated, and add new HTTP routing scheme to nodes.db for every gears.

Additional info:
Comment 4 Luke Meyer 2013-06-13 14:36:40 EDT
I think this is related to secondary gear names getting migrated incorrectly during the model refactor migration.
Comment 5 Gaoyun Pei 2013-06-14 06:42:58 EDT
Test this issue on the latest puddle.

Setup an OSE env using puddle 1.1.z/2013-06-11.2. 
Create a scalable app, and embed postgresql cartridge:
haproxy + web gear: 7991bdf194f7433790d5fc77fd5c86be
web gear: c9cea283cbf44340bfdbbad3cc4a01e9
postgres gear: 47b76b79c6e34e00a607368985274cc0

Then update this env to puddle 1.2/2013-06-13.1, check addon gear and web gear in /var/lib/openshift/.httpd.d

[root@node .httpd.d]# ls c9cea283cbf44340bfdbbad3cc4a01e9*
c9cea283cbf44340bfdbbad3cc4a01e9_jia_c9cea283cb.conf.migrated

c9cea283cbf44340bfdbbad3cc4a01e9_jia_c9cea283cb.migrated:
00000_default.conf  routes.json  zzzzz_proxy.conf


[root@node .httpd.d]# ls 47b76b79c6e34e00a607368985274cc0*
47b76b79c6e34e00a607368985274cc0_jia_47b76b79c6.conf.migrated

47b76b79c6e34e00a607368985274cc0_jia_47b76b79c6.migrated:
00000_default.conf  postgresql-8.4.conf

[root@node .httpd.d]# grep c9cea283cb nodes.txt
c9cea283cb-jia.ose11test.com 127.1.5.129:8080
c9cea283cb-jia.ose11test.com/health HEALTH

And the address c9cea283cb-jia.ose11test.com is available.


Scale up this app again, got one more web gear 51baeac0b3ec1f8b9d000069.
[root@node .httpd.d]# ls 51baeac0b3ec1f8b9d000069*
ls: cannot access 51baeac0b3ec1f8b9d000069*: No such file or directory
[root@node .httpd.d]# grep 51baeac0b3ec1f8b9d000069 nodes.txt 
51baeac0b3ec1f8b9d000069-jia.ose11test.com 127.1.8.129:8080
51baeac0b3ec1f8b9d000069-jia.ose11test.com/health HEALTH

And this address 51baeac0b3ec1f8b9d000069-jia.ose11test.com also could be accessed.

So verify this bug.
Comment 6 Luke Meyer 2013-06-28 11:46:20 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.